/*
To change this license header, choose License Headers in Project Properties.
To change this template file, choose Tools | Templates
and open the template in the editor.
*/
/* 
    Created on : 22 févr. 2022, 07:38:27
    Author     : Paul M.
*/
html, :host {
    line-height: 1.5;
    -webkit-text-size-adjust: 100%;
    -moz-tab-size: 4;
    -o-tab-size: 4;
    tab-size: 4;
    font-family: ui-sans-serif, system-ui, sans-serif, "Apple Color Emoji", "Segoe UI Emoji", Segoe UI Symbol, "Noto Color Emoji";
    font-feature-settings: normal;
    font-variation-settings: normal;
    -webkit-tap-highlight-color: transparent;
}
body {
    margin: 0;
    line-height: inherit;
    --tw-bg-opacity: 1;
    background-color: rgb(249 250 251 / var(--tw-bg-opacity, 1));
    min-height: 100vh;
}
/*body{
    background-image: url(/images/wallpaper/wallpaper_taiga_1.png);
    background-position: center 30px;
    background-repeat: no-repeat;
    background-size: cover;
}*/
.current_edit_line_info > td{
    background-color: #b7eae3 !important;
}
.dv_ct_page {
    margin: 50px 0px 50px 0px;
    width: 100%;
}
.tbl_gen{
    width: 100%;
    border-collapse: collapse;
}
.tbl_gen tbody tr:nth-child(2n){
    background-color: #84c9b9;
}
.tbl_gen tbody tr:nth-child(2n+1){
    background-color: #e9e9e9;
}
.dv_ct_page[page="monitoring"] {
    position: absolute;
    padding: 0;
    left: 0;
    top: 0;
    height: calc(100% - 90px);
}
.full_frame{
    width: 100%;
    height: 100%;
    padding: 0;
    border: none;
}
.login_div {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    padding: 20px 30px;
    text-align: center;
}
.opWallDark {
    background-color: #126782 !important;
    box-shadow: 1px 1px 4px 1px #757373;
    border: none;
    border-color: #023047 !important;
    border-radius: 15px;
}
.l_field_f_l {
    margin: 20px 0;
    line-height: 30px;
    width: 300px;
}
.l_field_f_l .gp_icone {
    width: 30px;
    display: inline-block;
    height: 30px;
    background-position: center;
    background-repeat: no-repeat;
    background-size: contain;
    vertical-align: middle;
}
.l_field_f_l .dv_ct_ipt_icone {
    border: 1px solid #dadce0;
    border-radius: 10px;
    padding: 5px 10px;
    display: inline-block;
    width: calc(100% - 60px);
    margin-left: 5px;
    position: relative;
    background-color: #FFFFFF;
}
.l_field_f_l .dv_ct_ipt_icone input,
.l_field_f_l .dv_ct_ipt_icone textarea {
    font-size: 16px;
    align-items: left;
    width: 100%;
    line-height: 25px;
    height: 25px;
    border: none;
    cursor: text;
    color: #023047;
    background-color: transparent;
}
.l_field_f_l .dv_ct_ipt_icone input:focus,
.l_field_f_l .dv_ct_ipt_icone textarea:focus
{
    outline-color: transparent;
    outline: none;
}
.dvmsg_error {
    height: 10px;
    line-height: 10px;
    margin-top: 3px;
    margin-bottom: -10px;
    font-size: 0.75em;
    font-weight: bold;
    font-style: italic;
    color: #ff3232;
}
.err_field{
    border-bottom-width: 2px !important;
    border-bottom-style: solid !important;
    border-bottom-color: #ff3232 !important;
}
/**
*   Gestion des Boutons
**/

.acc_btn {
    cursor: pointer;
    background-color: #ffc333;
    padding: 10px 35px;
    border-radius: 30px;
    color: #FFFFFF !important;
    width: fit-content;
    width: -moz-fit-content;
    margin: 20px 0;
    font-size: 1.3em;
    letter-spacing: 3px;
    font-weight: bold;
    box-shadow: 1px 1px 4px 1px #757373;
    margin: 10px auto;
}

.btn_bg_img{
    background-position: center;
    background-repeat: no-repeat;
    background-size: contain;
}

.btn_action_gen{
    display: inline-block;
    width: 20px;
    height: 20px;
    margin: 1px 2px;
    vertical-align: middle;
}
.btn_action_gen:hover{
    cursor: pointer;
    margin: 0px 1px;
    padding: 1px;
}
.btn_settings{
    padding: 5px 15px;
    margin: 0 auto;
    background-color: #252A4E;
    color: #FFFFFF;
    border-radius: 30px;
    width: fit-content;
    display: inline-block;
    font-weight: bold;
}
.btn_settings:hover{
    cursor: pointer;
    box-shadow: 1px 1px 4px 1px #757373;
}
/*

Gestion des class icones

*/
.icon_account{
    background-image: url(/images/Icones/Account.png);
}
.icon_user{
    background-image: url(/images/Icones/user-3-32.png);
}
.icon_bell{
    background-image: url(/images/Icones/bell-32.png);
}
.icon_warning{
    background-image: url(/images/Icones/warning-28-32.png);
}
.icon_high_importance{
    background-image: url(/images/Icones/high-importance-32.png);
}
.icon_add_list{
    background-image: url(/images/Icones/add-list-32.png);
}
.icon_add_row{
    background-image: url(/images/Icones/add-row-32.png);
}
.icon_user_white{
    background-image: url(/images/Icones/white-user-3-32.png);
}
.icon_password{
    background-image: url(/images/Icones/Password.png);
}
.icon_download{
    background-image: url(/images/Icones/download.png);
}
.icon_details{
    background-image: url(/images/Icones/details.png);
}
.icon_backup{
    background-image: url(/images/Icones/data-backup-32.png);
}
.icon_backup_white{
    background-image: url(/images/Icones/white-data-backup-32.png);
}
.icon_dateto{
    background-image: url(/images/Icones/date-to-32.png);
}
.icon_upload{
    background-image: url(/images/Icones/upload-32.png);
}
.icon_analytics{
    background-image: url(/images/Icones/analytics-32.png);
}
.icon_analytics_white{
    background-image: url(/images/Icones/white-analytics-32.png);
}
.icon_translate{
    background-image: url(/images/Icones/translate-32.png);
}
.icon_translate_white{
    background-image: url(/images/Icones/white-translate-32.png);
}
.icon_sms{
    background-image: url(/images/Icones/sms-32.png);
}
.icon_sms_white{
    background-image: url(/images/Icones/white-sms-32.png);
}
.icon_help{
    background-image: url(/images/Icones/help-32.png);
}
.icon_help_white{
    background-image: url(/images/Icones/white-help-32.png);
}
.icon_save{
    background-image: url(/images/Icones/save-32.png);
}
.icon_delete{
    background-image: url(/images/Icones/delete-32.png);
}
.icon_power{
    background-image: url(/images/Icones/power-32.png);
}
.icon_power_white{
    background-image: url(/images/Icones/white-power-32.png);
}
.icon_geography{
    background-image: url(/images/Icones/geography-32.png);
}
.icon_geography_white{
    background-image: url(/images/Icones/white-geography-32.png);
}
.icon_question_mark{
    background-image: url(/images/Icones/question-mark-32.png);
}
.icon_question_mark_white{
    background-image: url(/images/Icones/white-question-mark-32.png);
}
.icon_checked_black{
    background-image: url(/images/Icones/checked_checkbox_32_black.png);
}
.icon_checked_white{
    background-image: url(/images/Icones/checked_checkbox_32_white.png);
}
.icon_checked_green{
    background-image: url(/images/Icones/checked_checkbox_32_green.png);
}
.icon_x_mark_black{
    background-image: url(/images/Icones/x_mark_32_black.png);
}
.icon_x_mark_white{
    background-image: url(/images/Icones/x_mark_32_white.png);
}
.icon_x_mark_red{
    background-image: url(/images/Icones/x_mark_32_red.png);
}

.elm_acc {
    display: inline-block;
    text-align: center;
    vertical-align: top;
    height: 200px;
    width: 200px;
    padding: 10px 20px;
    margin: 90px 60px 10px 60px;
    border-radius: 15px;
    box-shadow: 2px 2px 4px #83b7cc;
    position: relative;
    background-color: rgb(229 35 40 / 85%);
}

.dv_gen_restit {
    width: calc(100% - 20px);
    padding: 10px 10px 0px 10px;
}


.dt_has_footfilter tfoot th{
    padding: 0 !important;
}
.dt_has_footfilter tfoot th input{
    width: calc(100% - 4px);
    padding: 0;
}


/* Style de la div de chargement */
#loadingOverlay {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(255,255,255,0.8); /* fond semi-transparent */
    display: flex;
    align-items: center;
    justify-content: center;
    z-index: 999999; /* au-dessus de tout */
    font-size: 1.5rem;
    color: #333;
    backdrop-filter: blur(3px);
}

/* Optionnel : animation de chargement */
.spinner {
    border: 6px solid #ddd;
    border-top: 6px solid #3498db;
    border-radius: 50%;
    width: 50px;
    height: 50px;
    animation: spin 1s linear infinite;
}

@keyframes spin {
    0% {
        transform: rotate(0deg);
    }
    100% {
        transform: rotate(360deg);
    }
}

.btn-upload {
    display: block !important;
    margin-left: 5px;
}
.span_info_qmark{
    display: inline-block;
    width: 18px;
    height: 18px;
    border-radius: 50%;
    background-color: #007bff;
    color: white;
    text-align: center;
    font-weight: bold;
    cursor: help;
    font-size: 13px;
    line-height: 18px;
}

trad.view_admin_trad_var {
    cursor: help;
    background-color: #cde5ce;
}

.badge-status{
    padding: 10px 20px !important;
    font-size: 1.25em !important;
}

.btn-delete-file-form{
    text-decoration: none;
    /*width: 20px;*/
}

.hiddenColTbl{
    display: none !important;
}

.btn-loading {
    opacity: 0.6;
    cursor: not-allowed;
    filter: grayscale(50%);
}